View Issue Details

IDProjectCategoryView StatusLast Update
0000361FileSieve[All Projects] Performancepublic2019-05-22 12:50
ReporterBootBlockAssigned ToBootBlock 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version4.41 
Target Version4.42Fixed in Version 
Summary0000361: Rework ForEach loops to For.
Description

While practically all time during processing within FileSieve is spent in file I/O, there can still be some minor speed improvements applied to ForEach loops. Combined, while the difference in raw stopwatch numbers could be quite large, it is still such an overall fraction of processing time that it is highly unlikely to be noticeable during normal usage.

Regardless, I'm still going to get things going as fast as possible. As one wise philosopher once said,

Gotta go fast!

All ForEach loops will be rewritten to be For...Next loops. The speed increase is generally around 2.4 times for smaller loops and gets even better with bigger loops.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-04-24 07:40 BootBlock New Issue
2019-04-24 07:40 BootBlock Assigned To => BootBlock
2019-04-24 07:40 BootBlock Status new => assigned
2019-05-06 19:22 BootBlock Category Backend / Core => Performance
2019-05-22 12:50 BootBlock Status assigned => closed
2019-05-22 12:50 BootBlock Resolution open => fixed